Subject: Re: [PATCH v4 5/8] ci: unify setup of some environment variables

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Nov 2023 12:14:42 +0900

Victoria Dye <[email-masked]> writes:

>> +MAKEFLAGS="$MAKEFLAGS --jobs=10"
>> +GIT_PROVE_OPTS="--timer --jobs 10 --state=failed,slow,save"
>> +
>> +GIT_TEST_OPTS="$GIT_TEST_OPTS --verbose-log -x"
>> +if test windows = "$CI_OS_NAME"
>
> Based on the deleted lines above, I think this would need to be:
>
> 	if test windows = "$CI_OS_NAME" || test windows_nt = "$CI_OS_NAME"
>
> I believe these settings are required on all Windows builds, though, so you could 
> instead match on the first 7 characters of $CI_OS_NAME:
>
> 	if test windows = "$(echo "$CI_OS_NAME" | cut -c1-7)"
>
> (full disclosure: I'm not 100% confident in the correctness of that shell syntax)
>> +then
>> +	GIT_TEST_OPTS="$GIT_TEST_OPTS --no-chain-lint --no-bin-wrappers"
>> +fi

Either

	case "$CI_OS_NAME" in
	windows*)
		GIT_TEST_OPTS=...
	esac

or if we want to be more selective, for documentation purposes
especially when it is unlikely for us to gain the third variant of
windows build:

	case ... in
	windows | windows_nt)
		GIT_TEST_OPTS=...
	esac

>> +
>> +export GIT_TEST_OPTS
>> +export GIT_PROVE_OPTS
>> +
>>  good_trees_file="$cache_dir/good-trees"
>>  
>>  mkdir -p "$cache_dir"